Bug 880328 - Disable phone home code
Summary: Disable phone home code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alpine
Version: 22
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Joshua Daniel Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 17:49 UTC by Orion Poplawski
Modified: 2015-07-28 15:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-28 15:37:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2012-11-26 17:49:13 UTC
Description of problem:

alpine has "phone home" code where on initial use it tries to send a message to <alpine-count@docserver.cac.washington.edu>, which does not exist.  Various distributions including freebsd and debian strip this code out to avoid this.


Version-Release number of selected component (if applicable):
alpine-2.02-3.el5

http://www.freebsd.org/cgi/cvsweb.cgi/ports/mail/alpine/files/patch-newuser?rev=1.1;content-type=text%2Fplain

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631758

Comment 1 Joshua Daniel Franklin 2012-11-27 03:57:45 UTC
Hello,

Thanks for the links to example patches. Obviously UW alpine is dead. From the looks of it, the SF "re-alpine"  upstream we've chose to migrate to has stalled (no commits for months). The Debian dsc has the same upstream listed:
http://ftp.de.debian.org/debian/pool/main/a/alpine/alpine_2.02+dfsg-2.dsc

I strongly prefer to patch upstream when possible, I've messaged the SF maintainer to see if I can get commit access.

Comment 2 Fedora Update System 2012-12-21 12:47:27 UTC
alpine-2.03-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/alpine-2.03-2.fc18

Comment 3 Fedora Update System 2012-12-21 12:59:31 UTC
alpine-2.03-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/alpine-2.03-2.fc17

Comment 4 Fedora Update System 2012-12-21 13:04:12 UTC
alpine-2.03-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/alpine-2.03-2.el6

Comment 5 Fedora Update System 2012-12-21 14:01:54 UTC
alpine-2.03-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/alpine-2.03-1.el5

Comment 6 Fedora Update System 2012-12-21 14:03:22 UTC
alpine-2.03-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/alpine-2.03-2.fc16

Comment 7 Joshua Daniel Franklin 2012-12-21 14:09:55 UTC
Hello,

I got upstream commit access and applied the patch used in Debian:

http://re-alpine.git.sourceforge.net/git/gitweb.cgi?p=re-alpine/re-alpine;a=summary

Updates pushed, please test and provide Karma.

Comment 8 Fedora Update System 2012-12-21 20:05:10 UTC
Package alpine-2.03-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alpine-2.03-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20835/alpine-2.03-2.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-01-07 03:56:30 UTC
alpine-2.03-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-07 07:27:45 UTC
alpine-2.03-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-11 00:57:43 UTC
alpine-2.03-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-11 00:58:43 UTC
alpine-2.03-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-01-12 00:44:51 UTC
alpine-2.03-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Orion Poplawski 2013-11-12 18:40:31 UTC
This is back now.

Comment 15 Joshua Daniel Franklin 2013-11-17 13:59:45 UTC
We switched upstream, adding chappa@ who's upstream committer.

Eduardo, can you disable the code that attempts to send a message to <alpine-count@docserver.cac.washington.edu>, which does not exist? The patch 80_remove_phone_home.patch from Debian is here:

http://patch-tracker.debian.org/package/alpine/2.10+dfsg-1

Comment 16 Eduardo Chappa 2013-11-17 15:58:26 UTC
(In reply to Joshua Daniel Franklin from comment #15)

> Eduardo, can you disable the code that attempts to send a message to
> <alpine-count@docserver.cac.washington.edu>, which does not exist?

It seems to me that what is needed is a new e-mail address to collect this information, rather than remove the code.

Comment 17 Joshua Daniel Franklin 2013-11-17 20:40:04 UTC
OK, feel free to set up a new address.

Comment 18 Joshua Daniel Franklin 2013-12-07 14:07:56 UTC
Hi Eduardo,

I took a look at the alpine alpha version at 
http://patches.freeiz.com/alpine/alpha/release/

Looks like the non-existent "docserver.cac.washington.edu" address is still there:

alpine-2.19.3/alpine/send.c:#define	PHONE_HOME_VERSION	"-count"
alpine-2.19.3/alpine/send.c:#define	PHONE_HOME_HOST		"docserver.cac.washington.edu"
alpine-2.19.3/alpine/send.c:	snprintf(addr = tmp, sizeof(tmp), "alpine%s@%s", PHONE_HOME_VERSION, PHONE_HOME_HOST);

Any luck setting up a new e-mail address?

Comment 19 Eduardo Chappa 2013-12-07 20:48:03 UTC
Thank you Joshua for your interest in solving this issue.

I have just established an e-mail address for this purpose, namely 
alpine-count@patches.freeiz.com. I will update the next alpha version to include this address.

It takes about/(up to) 24 hours for the address to receive mail, but the IMAP access is already working, so I will not test this until tomorrow. From my side, I think the issue is solved.

Thank you!

Comment 20 Paul Wouters 2013-12-09 03:42:41 UTC
Eduardo: It's not really according to fedora guidelines to allow these kind of trackers/beacons. Is it possible to disable this feature for fedora?

Comment 21 Eduardo Chappa 2013-12-09 04:06:33 UTC
In order to give an adequate answer to this post, would you please let me read the guidelines you are referring to?

Thank you.

Comment 22 Joshua Daniel Franklin 2013-12-09 12:51:04 UTC
Paul,
You realize the phone home is "opt in" right?  The way the feature works is to show a screen the first time a user runs alpine, and allow the user to choose to exit the screen or send a "get counted" email.
Cheers,
Joshua

Comment 23 Paul Wouters 2013-12-09 17:28:47 UTC
Oh. I did not realise that. Than I have no issues with it. Sorry.

Comment 24 Eduardo Chappa 2013-12-11 06:34:06 UTC
(In reply to Paul Wouters from comment #23)
> Oh. I did not realise that. Than I have no issues with it. Sorry.

Excellent. Everything is set up from my side and working for when this starts to operate.

Thank you.

Comment 25 Fedora End Of Life 2013-12-21 15:12:46 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2014-02-05 22:53:27 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 27 Paul Wouters 2014-02-06 00:32:28 UTC
(this issue should have been closed already, so no problem with this getting zapped)

Comment 28 Frank Ch. Eigler 2015-07-28 15:20:57 UTC
This setting is too subtle (users can too easily acknowledge it by error, given that it's shown to them at version updates; no way to turn it off afterwards), and there is no way for a sysadmin to turn it off systemwide either.

Because the hidden outbound tracking email will contain site-specific Received: headers (so telling the public about the location/versions of internal mail servers), it's even a little bit spywareish.

Comment 29 Rex Dieter 2015-07-28 15:37:05 UTC
That doesn't change alpine maintainer's opinion that the opt-in here is satisfactory.

If you disagree, feel free to escalate to fesco (but please don't re-open this bug, it serves little purpose)


Note You need to log in before you can comment on or make changes to this bug.